com.streambase.sb.monitor

## Class OperatorInfo

- java.lang.Object
- - com.streambase.sb.monitor.OperatorInfo

- All Implemented Interfaces:
    Cloneable

      public class OperatorInfo
      extends Object
      implements Cloneable

  Represents information about a single operator in a StreamBase application. Instances of this class should be retrieved from a Snapshot.
  See Also:
    `Snapshot`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `isActive` Is active?
    `(package private) long` | `totalProcessed` Total number of processed tuples

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperatorInfo(String name, String type)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `clear()` Reset operator info
    `Object` | `clone()`
    `(package private) void` | `extractInfo(StatTuple st)` Extract thread info from the StatTuple, setting member data as appropriate.
    `(package private) void` | `extractInfo(StatTuplev3 st)` Extract operator info from this StatTuple.
    `int` | `getInputPortCount()` Deprecated.
    `int` | `getInputTuplesDequeuedDelta()` Deprecated.
    `int` | `getInputTuplesDequeuedTotal()` Deprecated.
    `long[]` | `getInputTuplesEnqueued()` Returns the number of input tuples enqueued on each of this operator's input streams since the StreamBase Server was started.
    `int` | `getInputTuplesEnqueuedDelta()` Returns the number of tuples enqueued on this operator's input streams since the previous Snapshot.
    `int` | `getInputTuplesEnqueuedTotal()` Deprecated. use `OperatorInfo.getTotalInputTuplesEnqueued()` instead
    `String` | `getName()` Returns the fully qualified name of the operator.
    `int` | `getOutputPortCount()` Deprecated.
    `long[]` | `getOutputTuplesEnqueued()` Returns the number of output tuples produced by this operator from a each output port since the StreamBase Server was started.
    `int` | `getOutputTuplesEnqueuedDelta()` Returns the number of output tuples produced by this operator since the previous Snapshot.
    `int` | `getOutputTuplesEnqueuedTotal()` Deprecated. use `OperatorInfo.getTotalOutputTuplesEnqueued()` instead
    `double` | `getPercentUsage()` The percentage of CPU this operator using, the value is Exponentially Weighted Moving Average with alpha 0.75.
    `int` | `getProfilerHits()` Deprecated. Replaced by getProfilerMS(). The number of minitics is not actually returned. It's actually the number of milliseconds used by the operator
    `long` | `getProfilerMS()`
    `int` | `getProfilerMSDelta()` Number of milliseconds used by the operator, since the previous Snapshot.
    `long` | `getProfilerUS()`
    `int` | `getProfilerUSDelta()` Number of microseconds used by the operator, since the previous Snapshot.
    `int` | `getSize()` Returns the size the operator.
    `String` | `getStatus()` Returns the status of the operator.
    `long` | `getTotalInputTuplesEnqueued()` Returns the total number of input tuples enqueued on all of this operator's input streams since the StreamBase Server was started.
    `long` | `getTotalOutputTuplesEnqueued()` Returns the total number of output tuples produced by this operator since the StreamBase Server was started.
    `int` | `getTotalProfilerHits()` Deprecated. Replaced by getTotalProfilerMS(). The number of minitics is not actually returned. It's actually the total number of milliseconds used
    `long` | `getTotalProfilerMS()`
    `long` | `getTotalProfilerUS()`
    `String` | `getType()` Returns the type of the operator.
    `void` | `prettyPrint()` Pretty-print an OperatorInfo object to the standard output.
    `(package private) void` | `saveForNextCycle()` Save for next reporting cycle
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### totalProcessed

          long totalProcessed

      Total number of processed tuples

    - #### isActive

          boolean isActive

      Is active?

  - ### Constructor Detail

    - #### OperatorInfo

          public OperatorInfo(String name,
                              String type)

      Constructor
      Parameters:
        `name` - Operator name
        `type` - Operator type

  - ### Method Detail

    - #### extractInfo

          void extractInfo(StatTuplev3 st)

      Extract operator info from this StatTuple. It's only used by Stats v3.
      Parameters:
        `st` -

    - #### extractInfo

          void extractInfo(StatTuple st)

      Extract thread info from the StatTuple, setting member data as appropriate.
      Parameters:
        `st` - Statistics tuple

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### saveForNextCycle

          void saveForNextCycle()

      Save for next reporting cycle

    - #### getName

          public String getName()

      Returns the fully qualified name of the operator.
      Returns:
        name of the operator

    - #### getType

          public String getType()

      Returns the type of the operator. Could return a null value if couldn't determine the type.
      Returns:
        type of the operator, may return null

    - #### getStatus

          public String getStatus()

      Returns the status of the operator. Most operators do not make use of status strings, in which case this will return an empty string.
      Returns:
        the status of the operator

    - #### getInputPortCount

          public int getInputPortCount()

      Deprecated.
      Returns the number of input ports on this operator.
      Returns:
        0

    - #### getOutputPortCount

          public int getOutputPortCount()

      Deprecated.
      Returns the number of output ports on this operator.
      Returns:
        0

    - #### getInputTuplesEnqueuedDelta

          public int getInputTuplesEnqueuedDelta()

      Returns the number of tuples enqueued on this operator's input streams since the previous Snapshot.
      Returns:
        number of input tuples queued up

    - #### getInputTuplesDequeuedDelta

          public int getInputTuplesDequeuedDelta()

      Deprecated.
      Returns the number of input tuples consumed by this operator since the previous Snapshot. If this number is less than the number of tuples enqueued to the input stream, then tuples are being queued up faster than the operator can consume them.
      Returns:
        number of input tuples consumed

    - #### getOutputTuplesEnqueuedDelta

          public int getOutputTuplesEnqueuedDelta()

      Returns the number of output tuples produced by this operator since the previous Snapshot.
      Returns:
        number of output tuples produced

    - #### getInputTuplesEnqueuedTotal

          public int getInputTuplesEnqueuedTotal()

      Deprecated. use `OperatorInfo.getTotalInputTuplesEnqueued()` instead
      Returns the total number of input tuples enqueued on this operator's input streams since the StreamBase Server was started.
      Returns:
        number of tuples ever enqueued

    - #### getInputTuplesDequeuedTotal

          public int getInputTuplesDequeuedTotal()

      Deprecated.
      Returns the total number of input tuples consumed by this operator since the StreamBase Server was started. If this number is less than the number of tuples enqueued to the input stream, then tuples are being queued up faster than the operator can consume them.
      Returns:
        number of input tuples consumed

    - #### getOutputTuplesEnqueuedTotal

          public int getOutputTuplesEnqueuedTotal()

      Deprecated. use `OperatorInfo.getTotalOutputTuplesEnqueued()` instead
      Returns the total number of output tuples produced by this operator since the StreamBase Server was started.
      Returns:
        number of output tuples produced

    - #### getTotalInputTuplesEnqueued

          public long getTotalInputTuplesEnqueued()

      Returns the total number of input tuples enqueued on all of this operator's input streams since the StreamBase Server was started.
      Returns:
        number of tuples ever enqueued
      Since:
        1.4

    - #### getTotalOutputTuplesEnqueued

          public long getTotalOutputTuplesEnqueued()

      Returns the total number of output tuples produced by this operator since the StreamBase Server was started.
      Returns:
        number of output tuples produced
      Since:
        1.4

    - #### getInputTuplesEnqueued

          public long[] getInputTuplesEnqueued()

      Returns the number of input tuples enqueued on each of this operator's input streams since the StreamBase Server was started.
      Returns:
        an array of tuple counts stored by port index. The array is truncated after the last non-zero tuple count
      Since:
        1.4

    - #### getOutputTuplesEnqueued

          public long[] getOutputTuplesEnqueued()

      Returns the number of output tuples produced by this operator from a each output port since the StreamBase Server was started.
      Returns:
        an array of tuple counts stored by port index. The array is truncated after the last non-zero tuple count
      Since:
        1.4

    - #### getSize

          public int getSize()

      Returns the size the operator. The meaning of "size" varies by operator.
      Returns:
        size of this operator

    - #### getProfilerHits

          public int getProfilerHits()

      Deprecated. Replaced by getProfilerMS(). The number of minitics is not actually returned. It's actually the number of milliseconds used by the operator
      Number of miniticks used by the operator, as determined by profiler samples.
      Returns:
        number of miniticks
      See Also:
        `OperatorInfo.getProfilerMS()`

    - #### getProfilerUSDelta

          public int getProfilerUSDelta()

      Number of microseconds used by the operator, since the previous Snapshot.
      Returns:
        number of microseconds used in this sample
      Since:
        7.0

    - #### getProfilerMSDelta

          public int getProfilerMSDelta()

      Number of milliseconds used by the operator, since the previous Snapshot.
      Returns:
        number of milliseconds used in this sample

    - #### getProfilerUS

          public long getProfilerUS()

      Returns:
        The number of microseconds spent in the operator as determined by profiler samples
      Since:
        7.0

    - #### getProfilerMS

          public long getProfilerMS()

      Returns:
        The number of milliseconds spent in the operator as determined by profiler samples

    - #### getTotalProfilerHits

          public int getTotalProfilerHits()

      Deprecated. Replaced by getTotalProfilerMS(). The number of minitics is not actually returned. It's actually the total number of milliseconds used
      Number of miniticks used by all operators in the contained ProfileState. (The percentage usage is then profiler hits/ total profiler hits.)
      Returns:
        total number of miniticks

    - #### getTotalProfilerUS

          public long getTotalProfilerUS()

      Returns:
        The number of microseconds spent by all operators as determined by profiler samples
      Since:
        7.0

    - #### getTotalProfilerMS

          public long getTotalProfilerMS()

      Returns:
        The number of milliseconds spent by all operators as determined by profiler samples

    - #### getPercentUsage

          public double getPercentUsage()

      The percentage of CPU this operator using, the value is Exponentially Weighted Moving Average with alpha 0.75.
      Returns:
        percent of usage of the operator

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### prettyPrint

          public void prettyPrint()

      Pretty-print an OperatorInfo object to the standard output.

    - #### clear

          void clear()

      Reset operator info

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.